Bug 1572941 - igb NIC Link is Down for four seconds often [NEEDINFO]
Summary: igb NIC Link is Down for four seconds often
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-29 05:53 UTC by Paul DeStefano
Modified: 2018-08-29 15:08 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:08:31 UTC
Type: Bug
jforbes: needinfo?


Attachments (Terms of Use)

Description Paul DeStefano 2018-04-29 05:53:51 UTC
Description of problem:
I'm getting this set of messages a couple times every day, some days even more.

Apr 28 21:49:12 <hostname> kernel: igb 0000:07:00.0 enp38s0: igb: enp38s0 NIC Link is Down
Apr 28 21:49:16 <hostname> kernel: igb 0000:07:00.0 enp38s0: igb: enp38s0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: RX/TX     

Version-Release number of selected component (if applicable):
Intel(R) Gigabit Ethernet Network Driver - version 5.4.0-k

How reproducible:
Pretty regularly since approximately 2018-03-05.  I had Kernel 4.15.3-300 at that time, now 4.16.4.

Steps to Reproduce:
Unknown.  I suspect suspect something with drivers and hardware/BIOS?

Actual results:
4 second outages randomly, recovers by itself.

Additional info:
No errors reported by kernel or in interface statistics (ifconfig and ethtool).  I even replaced the cable with brand new CAT5e.

Comment 1 Justin M. Forbes 2018-07-23 15:13:30 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 2 Justin M. Forbes 2018-08-29 15:08:31 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.